<?php

use App\Http\Controllers\NewLineController;
use App\Http\Controllers\NewLineRequestController;
use App\Http\Controllers\SchedulePackageChangeController;
use App\Models\CancelReason;
use App\Http\Controllers\CancelReasonController;
use App\Http\Controllers\DepartmantController;
use Illuminate\Support\Facades\Route;

Route::get('change-marketing-status', [NewLineController::class, 'changeMarketingStatus'])->name('change-marketing-status');
Route::get('new-line-request-remarks', [NewLineController::class, 'newLineRequestRemarks'])->name('new-line-request-remarks');
Route::get('new-line-request-remarks-add', [NewLineController::class, 'newLineRequestRemarksAdd'])->name('new-line-request-remarks-add');
Route::post('new-line-request/survey-update', [NewLineRequestController::class, 'updateSurvey'])->name('newline.survey.update');


Route::get('new-line-request-survey-update', [NewLineRequestController::class, 'updateSurveyFromModal'])->name('new-line-request-survey-update');
Route::post('newline/information/store/{id}', [NewLineRequestController::class, 'newInformationStore'])->name('newline.newInformationStore');
Route::post('newline/support/{id}', [NewLineRequestController::class, 'newSupport'])->name('newline.supportdone');

Route::get('newline/information/{confirm_line}/{id}', [NewLineRequestController::class, 'newInformation'])->name('newline.newInformation')->middleware(['auth', 'route.lock']);
Route::get('new-line-request-history-logs/{id}', [NewLineController::class, 'newLineRequestHistoryLogs'])->name('new-line-request-history-logs');
Route::resource('cancel-reasons', CancelReasonController::class);
Route::post('/new-line-request/assign', [NewLineController::class, 'assignRequest'])->name('new-line-request-assign');
Route::get('new-line-request-set-delivery-date', [NewLineController::class, 'setDeliveryDate'])->name('new-line-request-set-delivery-date');
Route::get('new-line-request-set-free-days', [NewLineController::class, 'newLineRequestSetFreeDays'])->name('new-line-request-set-free-days');
Route::post('new-line-request-assign-line-man', [NewLineController::class, 'assignLineMan'])->name('new-line-request-assign-line-man');
Route::get('create-pppoe-user-from-confirm-line-request/{id}', [NewLineController::class, 'createPppoeUserFromConfirmLineRequest'])->name('create-pppoe-user-from-confirm-line-request');
Route::resource('departments', DepartmantController::class);
Route::get('newline', [NewLineRequestController::class, 'newIndex'])->name('newline.newIndex');
Route::get('newline/create', [NewLineRequestController::class, 'newCreate'])->name('newline.newCreate');
Route::post('newline/store', [NewLineRequestController::class, 'newStore'])->name('newline.newStore');
Route::get('get-marketing-users', [NewLineController::class, 'getMarketingUsers'])->name('get-marketing-users');
Route::get('create-ticket-for-this-client/{id}', [NewLineController::class, 'createTicketForThisClient'])->name('create-ticket-for-this-client');
Route::get('confirm-line-request-summary', [NewLineController::class, 'confirmLineRequestSummary'])->name('confirm-line-request-summary');
Route::get('new-line-request-summary', [NewLineController::class, 'newLineRequestSummary'])->name('new-line-request-summary');
